/* Copyright 2020, Michele Santullo
 * This file is part of user-gcc.
 *
 * User-gcc is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * User-gcc is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with user-gcc.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "safe_print.hpp"
#include <iostream>

namespace duck {
void safe_print (std::string_view msg) noexcept {
	try {
		std::cout << msg;
	}
	catch (...) {
	}
}

void safe_print_error (std::string_view msg) noexcept {
	try {
		std::cerr << msg;
	}
	catch (...) {
	}
}

void safe_print_ln (std::string_view msg) noexcept {
	try {
		std::cout << msg << std::endl;
	}
	catch (...) {
	}
}

void safe_print_error_ln (std::string_view msg) noexcept {
	try {
		std::cerr << msg << std::endl;
	}
	catch (...) {
	}
}
} //namespace duck

