/* Copyright 2020, Michele Santullo
 * This file is part of user-gcc.
 *
 * User-gcc is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * User-gcc is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with user-gcc.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include <string>
#include <unordered_map>
#include <string_view>

namespace duck {
	typedef std::unordered_map<std::string_view, std::string_view> VarMap;

	//parameter is non-const so caller hopefully remembers to keep it alive
	//(ie: they can't just pass a temporary in)
	VarMap to_var_map (std::string& text);

	VarMap to_var_map_ignore_ownership (std::string_view text);
	VarMap to_var_map_ignore_ownership (char** env);
} //namespace duck
